Network Port CRUD

Bug #1519909 reported by Terry Howe on 2015-11-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python-openstackclient
Fix Released
Medium
Tang Chen

Bug Description

Add support for neutron port crud: create, delete, list, set and show. I'd recommend one patch per command.

Changed in python-openstackclient:
importance: Undecided → Medium
Sai Kiran (saikiran) on 2015-11-26
Changed in python-openstackclient:
assignee: nobody → Sai Kiran (saikiran)
Changed in python-openstackclient:
status: New → Confirmed
tags: added: neutron
Sai Kiran (saikiran) on 2015-12-22
Changed in python-openstackclient:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/260568
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=3168e2297d0b48c240b22fb6d8c1b7d05def1e6b
Submitter: Jenkins
Branch: master

commit 3168e2297d0b48c240b22fb6d8c1b7d05def1e6b
Author: SaiKiran <email address hidden>
Date: Tue Dec 22 19:41:15 2015 +0530

    Add support to delete the ports

    This patch adds "port delete" command to osc.

    Change-Id: I5c92b2f573249df4e6551506584ccafb4ff290b2
    Implements: blueprint neutron-client
    Partial-Bug: #1519909

Reviewed: https://review.openstack.org/273242
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=981621e9845934c109c5e4abd9b2ab6828744346
Submitter: Jenkins
Branch: master

commit 981621e9845934c109c5e4abd9b2ab6828744346
Author: Richard Theis <email address hidden>
Date: Mon Jan 25 12:52:49 2016 -0600

    Add "os port show" command

    Add "os port show" command.

    Change-Id: Id87c81640e74c60ae8f247c722c64fdadff022a2
    Partial-Bug: #1519909
    Partially-Implements: blueprint neutron-client

Jas (singhj) on 2016-02-19
Changed in python-openstackclient:
assignee: Sai Kiran (saikiran) → Jas (singhj)

Reviewed: https://review.openstack.org/273670
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=d1d4a40808741c416ecc51294fab78138f9184fa
Submitter: Jenkins
Branch: master

commit d1d4a40808741c416ecc51294fab78138f9184fa
Author: Jas <email address hidden>
Date: Thu Jan 28 11:08:17 2016 -0600

    Add 'port create' command

    This patch adds usage of 'port create' in CLI

    Change-Id: I888af50784c3b6c7ec30552ade79f05a5e974711
    Partial-bug: #1519909
    Partially-implements: blueprint neutron-client

Reviewed: https://review.openstack.org/276371
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=d5489426458e9b4b96772983797263d8807571cb
Submitter: Jenkins
Branch: master

commit d5489426458e9b4b96772983797263d8807571cb
Author: Jas <email address hidden>
Date: Thu Feb 4 11:33:13 2016 -0600

    Add port list command

    This patch adds the ability to list all created ports

    Change-Id: Ie1a48c203cabc96346a4950f21b83493d58a66a5
    Partial-bug: #1519909
    Partially-implements: blueprint neutron-client

Reviewed: https://review.openstack.org/283233
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=e0d58641bba8cacab855ed5aa3b7506737470441
Submitter: Jenkins
Branch: master

commit e0d58641bba8cacab855ed5aa3b7506737470441
Author: Jas <email address hidden>
Date: Mon Feb 22 14:05:17 2016 -0600

    Add 'port set' command

    Add CLI support for the 'port set' command

    Change-Id: I2bea508e11290284aa64b1ab548a0bb61e7290d3
    Partial-bug: #1519909
    Partially-implements: blueprint neutron-client

Reviewed: https://review.openstack.org/279624
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=9fcbd0ad4b05310d9cb7c3d26cde7cccd353ae09
Submitter: Jenkins
Branch: master

commit 9fcbd0ad4b05310d9cb7c3d26cde7cccd353ae09
Author: Richard Theis <email address hidden>
Date: Fri Feb 12 09:58:38 2016 -0600

    Add port functional tests

    Add functional tests for "os port" commands.

    Change-Id: I162eff6abacd9ffdde369647491ae472b604c692
    Depends-On: I2bea508e11290284aa64b1ab548a0bb61e7290d3
    Partial-Bug: #1519909
    Partially-Implements: blueprint neutron-client

Fix proposed to branch: master
Review: https://review.openstack.org/291866

Reviewed: https://review.openstack.org/291866
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=62a02466c30e32f8eb54a70497eacacb7fa5c9bf
Submitter: Jenkins
Branch: master

commit 62a02466c30e32f8eb54a70497eacacb7fa5c9bf
Author: Jas <email address hidden>
Date: Fri Mar 11 13:02:47 2016 -0600

    Add option to allow filtering by router on port list

    Added support to allow filtering ports via --router
    option to list ports that are applicable to specific router.

    Partial-bug: #1519909
    Partially-implements: blueprint neutron-client

    Change-Id: I6dd958603909f641735c821a62fc0d45afd5c7ec

Steve Martinelli (stevemar) wrote :

Automatically unassigning due to inactivity.

Changed in python-openstackclient:
assignee: Jas (singhj) → nobody
status: In Progress → Triaged
Steve Martinelli (stevemar) wrote :
Changed in python-openstackclient:
status: Triaged → Won't Fix
status: Won't Fix → Fix Released
assignee: nobody → Tang Chen (tangchen)

Change abandoned by Dean Troyer (<email address hidden>) on branch: master
Review: https://review.openstack.org/290849

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers